You Are In

  • Life Goals
  • Day To Day Banking
  • Digital Services
  • Promotions
  • Help & Support
  • Quicklinks

What is the minimum operating system (OS) requirement to use the CIMB OCTO App?

 

To use the CIMB OCTO App, your mobile device’s operating system must be at least:

  • iPhone: iOS 12.5 and above
  • Android phone: Android 9 and above

for you to download the app.

 

Please note: The operating system requirements for CIMB OCTO App are higher than CIMB Clicks App. 

 

Looking for More Questions?